import React, {Component} from 'react';
import LogAction from './LogAction';
import {loadTab} from '../../ts/main'

class ChangeLog4 extends Component {
  render() {
    return (
      <React.Fragment>
        <LogAction entry={4} version="14-Sep-2015" expanded={false} />
        <div id="text4" style={{display: "none"}}>
          <ul>
            <div style={{fontSize: 10 + "%"}}>&nbsp;</div>
            <li>
              <strong>Minimal Linux Live</strong> is now based on <strong>Linux kernel 4.1.6</strong> and <strong>Busybox 1.23.2</strong>.
            </li>
            <li>
              The build process is now parallelized between all available CPU cores, therefore the overall build time is significantly reduced.
            </li>
            <li>
              There is DHCP network support for all network devices detected by the kernel. Note that DNS is not working due to well-known static linking issues caused by glibc.
            </li>
            <li>
              The ISO image is now generated by using <strong>genisoimage</strong>. This fixes some issues with Debian and Arch based host operating systems.
            </li>
            <li>
              In addition to the above changes, if you <a href="#download" onClick={() => {loadTab("#download"); return false;}}>download</a> the current stable build scripts, you will notice a folder named <strong>experimental</strong>. This folder contains some interesting scripts which produce ISO based on Linux kernel and <a href="http://landley.net/toybox" target="_blank" rel="noopener noreferrer">ToyBox</a> instead of Busybox. Please have in mind that this is work in progress and these scripts may not work on your host OS.
            </li>
          </ul>
        </div>
        <div style={{fontSize: 10 + "%"}}>&nbsp;</div>
      </React.Fragment>
    );
  }
}

export default ChangeLog4;
